For the complete documentation index, see llms.txt. This page is also available as Markdown.

Custom Webhook

Exporting data via API to a webhook helps transfer files directly from Datasaur to the URL destination of your choice.

Request method

PUT

Request headers

X-Datasaur-Signature: HMAC-SHA256(secret, body)
Content-Type: application/json

Request body

{
   "userId": 1, // user who triggers export
   "fileUrl": "https://url-to-file/file.zip",
   "projectId": "projectId",
   "documentId": "documentId" // required only exportTextProjectDocument query
}

Expected response

HTTP 1.1 200 OK
Content-Type: application/json
{}

Last updated

Was this helpful?